C#
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;
var config = new SaladCloudSdkConfig{};
var client = new SaladCloudSdkClient(config);
await client.Queues.DeleteQueueJobAsync("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");import com.salad.cloud.sdk.SaladCloudSdk;
import com.salad.cloud.sdk.config.ApiKeyAuthConfig;
import com.salad.cloud.sdk.config.SaladCloudSdkConfig;
public class Main {
public static void main(String[] args) {
SaladCloudSdkConfig config = SaladCloudSdkConfig.builder()
.apiKeyAuthConfig(ApiKeyAuthConfig.builder().apiKey("YOUR_API_KEY").build())
.build();
SaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);
saladCloudSdk.queues.deleteQueueJob("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");
}
}import (
"fmt"
"encoding/json"
"context"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk"
)
config := saladcloudsdkconfig.NewConfig()
config.SetApiKey("API_KEY")
client := saladcloudsdk.NewSaladCloudSdk(config)
response, err := client.Queues.DeleteQueueJob(context.Background(), "acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211")
if err != nil {
panic(err)
}
fmt.Println(response)import { SaladCloudSdk } from '@saladtechnologies-oss/salad-cloud-sdk';
(async () => {
const saladCloudSdk = new SaladCloudSdk({
apiKey: 'YOUR_API_KEY',
});
const { data } = await saladCloudSdk.queues.deleteQueueJob(
'acme-corp',
'dev-env',
'fifo-queue',
'7dcd6922-50e9-4d56-89b5-91cde26f0211',
);
console.log(data);
})();from salad_cloud_sdk import SaladCloudSdk
sdk = SaladCloudSdk(
api_key="YOUR_API_KEY",
api_key_header="YOUR_API_KEY_HEADER",
timeout=10000
)
result = sdk.queues.delete_queue_job(
organization_name="acme-corp",
project_name="dev-env",
queue_name="fifo-queue",
queue_job_id="7dcd6922-50e9-4d56-89b5-91cde26f0211"
)
print(result)curl --request DELETE \
--url https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/queues/{queue_name}/jobs/{queue_job_id} \
--header 'Salad-Api-Key: <api-key>'const options = {method: 'DELETE', headers: {'Salad-Api-Key': '<api-key>'}};
fetch('https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/queues/{queue_name}/jobs/{queue_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}Job Queues
Delete Job
Cancels a job in a queue
DELETE
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
queues
/
{queue_name}
/
jobs
/
{queue_job_id}
C#
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;
var config = new SaladCloudSdkConfig{};
var client = new SaladCloudSdkClient(config);
await client.Queues.DeleteQueueJobAsync("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");import com.salad.cloud.sdk.SaladCloudSdk;
import com.salad.cloud.sdk.config.ApiKeyAuthConfig;
import com.salad.cloud.sdk.config.SaladCloudSdkConfig;
public class Main {
public static void main(String[] args) {
SaladCloudSdkConfig config = SaladCloudSdkConfig.builder()
.apiKeyAuthConfig(ApiKeyAuthConfig.builder().apiKey("YOUR_API_KEY").build())
.build();
SaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);
saladCloudSdk.queues.deleteQueueJob("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");
}
}import (
"fmt"
"encoding/json"
"context"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk"
)
config := saladcloudsdkconfig.NewConfig()
config.SetApiKey("API_KEY")
client := saladcloudsdk.NewSaladCloudSdk(config)
response, err := client.Queues.DeleteQueueJob(context.Background(), "acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211")
if err != nil {
panic(err)
}
fmt.Println(response)import { SaladCloudSdk } from '@saladtechnologies-oss/salad-cloud-sdk';
(async () => {
const saladCloudSdk = new SaladCloudSdk({
apiKey: 'YOUR_API_KEY',
});
const { data } = await saladCloudSdk.queues.deleteQueueJob(
'acme-corp',
'dev-env',
'fifo-queue',
'7dcd6922-50e9-4d56-89b5-91cde26f0211',
);
console.log(data);
})();from salad_cloud_sdk import SaladCloudSdk
sdk = SaladCloudSdk(
api_key="YOUR_API_KEY",
api_key_header="YOUR_API_KEY_HEADER",
timeout=10000
)
result = sdk.queues.delete_queue_job(
organization_name="acme-corp",
project_name="dev-env",
queue_name="fifo-queue",
queue_job_id="7dcd6922-50e9-4d56-89b5-91cde26f0211"
)
print(result)Last Updated: July 1, 2025
Authorizations
Path Parameters
Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"acme-corp"
Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"dev-env"
The queue name.
Required string length:
2 - 63Pattern:
^[a-z][a-z0-9-]{0,61}[a-z0-9]$Example:
"fifo-queue"
The job identifier. This is automatically generated and assigned when the job is created.
Example:
"7dcd6922-50e9-4d56-89b5-91cde26f0211"
Response
Accepted
Was this page helpful?
⌘I